import { MutableRefObject } from 'react';
import PropTypes from 'prop-types';
import './component.scss';
export interface ComponentPropTypes {
    children?: string | JSX.Element | JSX.Element[];
    className?: string;
    style?: object;
    options?: {
        contextMenu?: JSX.Element;
        contextMenuShow?: boolean;
    };
    lifecycle?: {
        onInit?: Function | MutableRefObject<any>;
        onMount?: Function | MutableRefObject<any>;
        onRender?: Function | MutableRefObject<any>;
        onStyleChange?: Function | MutableRefObject<any>;
    };
}
export declare const Component: {
    ({ children, className, style, options: { contextMenu, contextMenuShow }, lifecycle: { onInit, onMount, onRender, onStyleChange }, ...props }: ComponentPropTypes): JSX.Element;
    propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        className: PropTypes.Requireable<string>;
        style: PropTypes.Requireable<object>;
        options: PropTypes.Requireable<PropTypes.InferProps<{
            contextMenu: PropTypes.Requireable<PropTypes.ReactElementLike>;
            contextMenuShow: PropTypes.Requireable<boolean>;
        }>>;
        lifecycle: PropTypes.Requireable<PropTypes.InferProps<{
            onInit: PropTypes.Requireable<object>;
            onMount: PropTypes.Requireable<object>;
            onRender: PropTypes.Requireable<(...args: any[]) => any>;
            onStyleChange: PropTypes.Requireable<(...args: any[]) => any>;
        }>>;
    };
};
